> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscriptions

> Get a list of `ACTIVE` subscription plans. The default sort order is `CREATED DATE DESCENDING`.



## OpenAPI

````yaml https://cdn.ecrypt.dev/swagger/gateway-swagger-v25.json get /v1/subscriptions
openapi: 3.0.4
info:
  title: Ecrypt.Gateway.Api
  description: Ecrypt API
  contact:
    name: Ecrypt
    url: https://www.ecrypt.com/
    email: Engineering@Ecrypt.com
  version: 1.0.0.0
servers: []
security: []
paths:
  /v1/subscriptions:
    get:
      tags:
        - Subscriptions
      summary: List Subscriptions
      description: >-
        Get a list of `ACTIVE` subscription plans. The default sort order is
        `CREATED DATE DESCENDING`.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Subscriptions.SubscriptionListResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.Subscriptions.SubscriptionListResponse:
      required:
        - requestId
      type: object
      properties:
        subscriptions:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Subscriptions.Subscription
          nullable: true
        request_id:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.ResponseBaseError
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        request_id:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Subscriptions.Subscription:
      required:
        - amount
        - cycle
        - id
        - label
      type: object
      properties:
        id:
          minLength: 1
          type: string
        label:
          maxLength: 100
          minLength: 1
          pattern: ^[0-9A-Za-z _\-\.,`'()@#!?\/\\:;|+=@%&]*$
          type: string
        cycle:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Subscriptions.SubscriptionCycle
        amount:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.Amount
        installments:
          maximum: 2147483647
          minimum: 0
          type: integer
          description: Number of installments to run at the specified unit, and interval
          format: int32
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.ResponseBaseError:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Subscriptions.SubscriptionCycle:
      type: object
      properties:
        unit:
          type: string
          description: "Unit for cycle\r\n***Supported Units***\r\n- `day`\r\n- `week`\r\n- `month`\r\n- `year`"
          default: month
          nullable: true
        interval:
          type: integer
          description: "Interval for cycle\r\n***Supported Units***\r\n- `day, 1-365, 1 == Daily, 2 = every second day, 7 == once a week`\r\n- `week, 1-52, 1 == Every Week, 2 = every other week, will default to charge on Monday if no other Day of Cycle is not specified`\r\n- `Month, 1-12, 1== every month, 2 = every other month, will default to the day the subscription became active if day of cycle is not specified`\r\n- `Year, 1-500, 1== every year`"
          format: int32
          default: 1
        day_of_cycle:
          type: integer
          description: "Day of cycle for the specified unit\r\n***Supported Units***\r\n- `day, not supported`\r\n- `week, 1-7, 1= monday 7 = sunday`\r\n- `month 1-31, if 31 is specified it will default to the last day of the month for all months with less that 31 days`\r\n- `year 1-365, any day in the year`"
          format: int32
          default: 1
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Transactions.Amount:
      required:
        - value
      type: object
      properties:
        currency:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Enums.CurrencyCode
        value:
          maximum: 999999999.99
          minimum: 0.01
          type: number
          description: "Values is the full amount to be processed.  The value is inclusive of all tax, discounts, shipping, fees ect.\r\n\r\nExample: 127.55"
          format: double
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Enums.CurrencyCode:
      enum:
        - 8
        - 12
        - 32
        - 36
        - 44
        - 48
        - 50
        - 51
        - 52
        - 60
        - 64
        - 68
        - 72
        - 84
        - 90
        - 96
        - 104
        - 108
        - 116
        - 124
        - 132
        - 136
        - 144
        - 152
        - 156
        - 170
        - 174
        - 188
        - 192
        - 203
        - 208
        - 214
        - 222
        - 230
        - 232
        - 238
        - 242
        - 262
        - 270
        - 292
        - 320
        - 324
        - 328
        - 332
        - 340
        - 344
        - 348
        - 352
        - 356
        - 360
        - 364
        - 368
        - 376
        - 388
        - 392
        - 398
        - 400
        - 404
        - 408
        - 410
        - 414
        - 417
        - 418
        - 422
        - 426
        - 430
        - 434
        - 446
        - 454
        - 458
        - 462
        - 480
        - 484
        - 496
        - 498
        - 504
        - 512
        - 516
        - 524
        - 532
        - 533
        - 548
        - 554
        - 558
        - 566
        - 578
        - 586
        - 590
        - 598
        - 600
        - 604
        - 608
        - 634
        - 643
        - 646
        - 654
        - 682
        - 690
        - 702
        - 704
        - 706
        - 710
        - 728
        - 748
        - 752
        - 756
        - 760
        - 764
        - 776
        - 780
        - 784
        - 788
        - 800
        - 807
        - 818
        - 826
        - 834
        - 840
        - 858
        - 860
        - 882
        - 886
        - 901
        - 925
        - 926
        - 929
        - 930
        - 931
        - 932
        - 933
        - 934
        - 936
        - 937
        - 938
        - 940
        - 941
        - 943
        - 944
        - 946
        - 947
        - 948
        - 949
        - 950
        - 951
        - 952
        - 953
        - 960
        - 965
        - 967
        - 968
        - 969
        - 970
        - 971
        - 972
        - 973
        - 975
        - 976
        - 977
        - 978
        - 979
        - 980
        - 981
        - 984
        - 985
        - 986
        - 990
        - 994
        - 997
      type: integer
      format: int32

````